lib/observer.rb: Observers are compared by identity

01/28/2013 02:19 AM - zzak (zzak _)

Status: Assigned   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

Description

=begin

From ((<github issue 239|URL:https://github.com/ruby/ruby/pull/239>)):

((Please consider changing @observer_peers to compare_by_identity. This fixes surprising effects when Strings or Arrays are used

as observers.))

I've attached the associated patch.

=end

History

#1 - 02/22/2013 09:11 AM - ko1 (Koichi Sasada)

- Assignee set to nobu (Nobuyoshi Nakada)

#2 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#3 - 04/03/2024 03:50 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

Files

239.patch 3.42 KB 01/28/2013 zzak (zzak _)
